<template>
  <anime-view
    v-for="anime in animeMoviesStore.animeMovies"
    :key="anime.id"
    :anime="anime"
  ></anime-view>
</template>

<script>
import { mapStores } from "pinia"
import { useAnimeMoviesStore } from "../stores/AnimeMoviesStores.js"
import AnimeView from "./AnimeView.vue"

export default {
  components: { 
    AnimeView,
  },
  computed: mapStores(useAnimeMoviesStore),
  mounted() {
    this.animeMoviesStore.fetchAnimeData()
  },
}
</script>
